Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07331 DIP/Input Major Always May 18, 2019, 01:00 4 days ago
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To enik2 Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver vsnes.cpp
Version 0.209 Fixed in Version 0.212GIT Build 64-bit
Summary 07331: pc_duckh, pc_hgaly, pc_wgnmn, duckhunt, hogalley: Lightgun games doesn't working
Description Since MAME 0.209 some of the playch10.cpp and vsnes.cpp lightgun games doesn't working.
I used the mouse instead of a lightgun (mame.ini: lightgun_device = mouse)

duckhunt and hogalley:
Can't select '1-PLAYER GAME'.
Insert coin (Key 5) and try to fire on the '1-PLAYER GAME' picture. You can't!
Or press Key 5 twice to select '1-PLAYER GAME' or '2-PLAYER GAME'. You only can select the '2-PLAYER GAME'.

pc_duckh and duckhunt: Can't hit any ducks.
pc_hgaly hogalley: Can't hit any of the gang guys.
pc_wgnmn: Can't shoot any bandit.

vsgshoe and vsfdf are working.
Steps To Reproduce MAME
- 0.209: Replaced VDP bitmap access with screen().pixel() for lightgun emulation [Enik Land].
See https://git.redump.net/mame/commit/?id=7f92ee8016b4785a1e4408a7fb1d643e4a5d40d8
Additional Information
Flags
Regression Version 0.209
Affected Sets / Systems pc_duckh, pc_hgaly, pc_wgnmn, duckhunt, hogalley
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.16476
Tafoid
Administrator
May 25, 2019, 00:05
I can note that the NES version of duckhunt (through software list, and select Zapper as slot 2) does work.
The issue is with the arcade ports only, it seems
User avatar
No.16477
enik2
Tester
May 26, 2019, 04:03
Fixes were submitted:

https://github.com/mamedev/mame/pull/5109 => Committed
https://github.com/mamedev/mame/pull/4910 => Waiting

--
Enik
User avatar
No.16629
enik2
Tester
10 days ago
Fixed by:
https://git.redump.net/mame/commit/?id=2a664c1f23140acc85e2e837da32dabe404f32f3

Thanks R. Belmont!

--
Enik
User avatar
No.16638
Tafoid
Administrator
8 days ago
edited on: 8 days ago
Enik,
This appears to only partially fixed. All the pc-10 games seem to still fail registering a hit. I tried all listed above and despite many tries, I was unable to get a hit register. However, the vsnes.cpp games listed both registered hits for me.

Can you look further into this? Could the fact that there are 2 screens be throwing the lightgun sense routine off? I tried with an alternate Screen 0 only view (game screen) and it still missed - so I don't know.
User avatar
No.16640
enik2
Tester
8 days ago
You are right, pc-10 games are not fixed. My mistake, I forgot to test them after nes and vsnes games were fixed.
I am debugging the problem right now.
User avatar
No.16641
enik2
Tester
8 days ago
Fix submitted:
https://github.com/mamedev/mame/pull/5330
User avatar
No.16645
enik2
Tester
7 days ago
The fix for pc-10 is now merged to the master tree.
User avatar
No.16652
M.A.S.H.
Senior Tester
5 days ago
edited on: 5 days ago
@enik2
I tested all games and they are working well again. Thanks!
But the crosshair looks different now. It was sharper in MAME 0.211.
User avatar
No.16654
Tafoid
Administrator
5 days ago
Crosshair looking different is related to layout changes earlier in this release as it is blending the graphics more into the background making things hard to see at times. It is being worked on and since it isn't part of a versioned release, no need to report here.
User avatar
No.16660
MetalGod
Senior Tester
4 days ago
By some reason this resolved issue doesn't appear in the MAME Change Log page
User avatar
No.16661
MetalGod
Senior Tester
4 days ago
Corrected!